Retrieve a Service
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Retrieve a Service
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Business ID
Service ID
Responses
Section titled “ Responses ”Retrieve a Service
object
object
Unique identifier across the platform.
Time when the resource was created (ISO 8601 format).
Time when the resource was created (ISO 8601 format).
The unique alias for this service.
The service name.
The service description.
The URL for patients to book this service.
Disabled services cannot be used across the platform.
The list of staff members ids that provide this service. An empty array means this service is provided by all staff members in the business.
Optional extra Staff Members that can provide this service for group bookings.
Categories that this service belongs to.
Determines the number of minutes in advance that customers can book or reschedule an appointment.
Determines the number of minutes in advance that customers can cancel an appointment.
Determines the intervals between appointments. An interval of 15 minutes, for example, means a customer could schedule an appointment at 8:00, 8:15, 8:30, and so on.
The maximum amount of days of availability to be listed when booking.
Embedded location details
object
Unique identifier across the platform.
The name of the location.
The address of the location.
The type of location that this service is provided at.
The location that this service is provided at.
The currency that this service is priced in.
Durations that this service can be booked for.
object
Whether bookings for this service require approval.
Determines the maximum amount of bookings that can be made per timeslot for this service.
Minutes of free time required before the start of new bookings for this service
Minutes of free time required after the end of new bookings for this service
Example
{ "data": { "alias": "gp-consultation", "name": "GP Consultation", "leadTime": 30, "cancelLeadTime": 60, "timeIncrement": 30, "locationType": "meet", "currency": "USD", "durations": [ { "duration": 30, "price": 0 } ], "bookingsRequireApproval": false, "bookingsPerTimeslot": 1, "bufferBeforeMinutes": 30, "bufferAfterMinutes": 30 }}